petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSEvaluateStep

Evaluate the solution at the end of a time step with a given order of accuracy.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSEvaluateStep(TS ts,PetscInt order,Vec U,PetscBool *done)

Collective on TS Many br

### Input Arguments

| ts | - time stepping context Many br
| order | - desired order of accuracy Many br
| done | - whether the step was evaluated at this order (pass NULL to generate an error if not available) Many br

### Output Arguments

U -state at the end of the current step Many br

Many br

### Notes

This function cannot be called until all stages have been evaluated. Many brIt is normally called by adaptive controllers before a step has been accepted and may also be called by the user after TSStep() has returned. Many br

### See Also

TSStep(), TSAdapt

Level:advanced
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages